Producer Download WAV API Integration Guide
Producer allows us to download WAV files related to songs. This document explains how to integrate with the relevant API.
This API has only one input parameter, which is audio_id, and it is the unique ID of the song.
The audio_id we enter here is a54609c6-13e2-4176-be0f-4d7eebc68e1f, which is a song ID generated by Producer.
curl -X POST 'https://api.qiyaov.com/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
The result is as follows:
{
"success": true,
"task_id": "44963173-b6c5-463c-915f-96730d14ec63",
"trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
"data": [
{
"title": "Woke up with the sun in my eyes",
"file_url": "https://cdn.acedata.cloud/assets/examples/fish/64adc04b-c196-4a0f-9070-222ba101ce6c-fc50de38c165.wav"
}
]
}
As you can see, the file_url field in data is the WAV download link.